Subject: Re: sending email from Cygwin
From: [email-masked]
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Jul 2004 10:14:28 +1000 (EST)

On 14 Jul, Pierre A. Humblet wrote:
>  >     exim -oi luke < /tmp/sample 
>  >  
>  > I got this error: 
>  >  
>  > set{u,g}id failed: 22 
>  > 2004-07-14 10:48:44 unable to set gid=544 or uid=18 (euid=11021): privilege not needed 
>  >  
>  > (Which I assume means the opposite: that some privilege *is* needed.) 
>   
>  The first error message above is from Cygwin specific startup code that 
>  tries to deal with the fact that there is no suid in Windows.  
>  It's the first such error report.  
>  What versions of Windows, Cygwin and exim are you using? 
>  Did you give yourself unusual privileges? 
>   
>  Could you send the outputs of  "exim -c" and "id"? 
>   
>  Regarding /usr/sbin/sendmail, it is set to /usr/bin/ssmtp 
>  by the cron postinstall script (if it doesn't exist). 
>  The exim-config script offers to set it to exim. 
>   
>  Pierre 

$ id
uid=11021(luke) gid=10513(Domain Users) groups=12919(adaytum),10513(Domain Users),13876(MS_VisualStudio),15155(RitaTS),13761(ZoneAlarm)
$ exim -c
CYGWIN = " nobinmode". Root / mapped to C:\cygwin.
set{u,g}id failed: 22
Starting uid 11021, gid 10513, ntsec 1, privileged 1.
root_uid 11021, exim_uid 18, exim_gid 544.
setgid 10513 10513 0 pid: 3124
setuid 11021 11021 0 pid: 3124
setgid 10513 10513 0 pid: 3124
setuid 11021 11021 0 pid: 3124
setgid 544 10513 -1 pid: 3124
2004-07-15 10:02:26 unable to set gid=544 or uid=18 (euid=11021): privilege not needed

Should I attach a full cygcheck?  I'm running Windows XP Professional,
sp1, on a laptop; the cygwin version was initially installed several
years ago, and I update regularly - last time a few weeks ago.

$ uname -a
CYGWIN_NT-5.1 DOYLE 1.5.10(0.116/4/2) 2004-05-25 22:07 i686 unknown unknown Cygwin

$ cygcheck -s | head -7

Cygwin Configuration Diagnostics
Current System Time: Thu Jul 15 10:11:01 2004

Windows XP Professional Ver 5.1 Build 2600 Service Pack 1

Path:   c:\PROGRA~1\MICROS~3\Common\MSDev98\BIN

And the most relevant bit:

    Cygwin DLL version info:
        DLL version: 1.5.10
        DLL epoch: 19
        DLL bad signal mask: 19005
        DLL old termios: 5
        DLL malloc env: 28
        API major: 0
        API minor: 116
        Shared data: 4
        DLL identifier: cygwin1
        Mount registry: 2
        Cygnus registry name: Cygnus Solutions
        Cygwin registry name: Cygwin
        Program options name: Program Options
        Cygwin mount registry name: mounts v2
        Cygdrive flags: cygdrive flags
        Cygdrive prefix: cygdrive prefix
        Cygdrive default prefix: 
        Build date: Tue May 25 22:07:00 EDT 2004
        CVS tag: cr-0x5e6
        Shared id: cygwin1S4

My CYGWIN env variable is set to " nobinmode".

luke

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/